#include "stdafx.h"
#include "OptionParam.h"

COptionParam::COptionParam(void)
{
	m_byWaterfall				= WATERFALL_MODE_DISABLE;
	m_byActivation				= MF_ACTIVATE_MODE_HIGH_SPEED;
	m_bOnePiece					= false;
	m_byConfirmationEject		= MF_EJECT_MAIN_POCKET;
	m_byConfirmationCancel		= MF_PROCESS_CONTINUE_OVERLAP;

	m_byPaperMisInsertionDetect = MF_ERROR_SELECT_DETECT;
	m_byPaperMisInsertionEject	= MF_EJECT_MAIN_POCKET;
	m_byPaperMisInsertionCancel	= MF_CANCEL_DISABLE;
	m_byNoiseDetect				= MF_ERROR_SELECT_DETECT;
	m_byNoiseEject				= MF_EJECT_MAIN_POCKET;
	m_byNoiseCancel				= MF_CANCEL_DISABLE;
	m_byDoubleFeedDetect		= MF_ERROR_SELECT_DETECT;
	m_byDoubleFeedEject			= MF_EJECT_MAIN_POCKET;
	m_byDoubleFeedCancel		= MF_CANCEL_DISABLE;
	m_byBaddataDetect			= MF_ERROR_SELECT_DETECT;
	m_byBaddataEject			= MF_EJECT_MAIN_POCKET;
	m_byBaddataCancel			= MF_CANCEL_DISABLE;
	m_byNodataDetect			= MF_ERROR_SELECT_DETECT;
	m_byNodataEject				= MF_EJECT_MAIN_POCKET;
	m_byNodataCancel			= MF_CANCEL_DISABLE;
	m_byEndorsePrintMode		= MF_ENDORSEPRINT_MODE_HIGHSPEED;
	m_byPrnDataUnreceiveCancel	= MF_CANCEL_ENABLE;
}

COptionParam::~COptionParam(void)
{
}

void COptionParam::SetWaterfall(BYTE byWaterfall)
{
	m_byWaterfall = byWaterfall;
}

BYTE COptionParam::GetWaterfall(void)
{
	return m_byWaterfall;
}

void COptionParam::SetActivation(BYTE byActivation)
{
	m_byActivation = byActivation;
}

BYTE COptionParam::GetActivation(void)
{
	return m_byActivation;
}

void COptionParam::SetConfirmationType(bool bOnePiece)
{
	m_bOnePiece = bOnePiece;
}

bool COptionParam::GetConfirmationType(void)
{
	return m_bOnePiece;
}

void COptionParam::SetConfirmationEject(BYTE byConfirmationEject)
{
	m_byConfirmationEject = byConfirmationEject;
}

BYTE COptionParam::GetConfirmationEject(void)
{
	return m_byConfirmationEject;
}

void COptionParam::SetConfirmationCancel(BYTE byConfirmationCancel)
{
	m_byConfirmationCancel = byConfirmationCancel;
}

BYTE COptionParam::GetConfirmationCancel(void)
{
	return m_byConfirmationCancel;
}

void COptionParam::SetPaperMisInsertionDetect(BYTE byPaperMisInsertionDetect)
{
	m_byPaperMisInsertionDetect = byPaperMisInsertionDetect;
}

BYTE COptionParam::GetPaperMisInsertionDetect(void)
{
	return m_byPaperMisInsertionDetect;
}

void COptionParam::SetPaperMisInsertionEject(BYTE byPaperMisInsertionEject)
{
	m_byPaperMisInsertionEject = byPaperMisInsertionEject;
}

BYTE COptionParam::GetPaperMisInsertionEject(void)
{
	return m_byPaperMisInsertionEject;
}

void COptionParam::SetPaperMisInsertionCancel(BYTE byPaperMisInsertionCancel)
{
	m_byPaperMisInsertionCancel = byPaperMisInsertionCancel;
}

BYTE COptionParam::GetPaperMisInsertionCancel(void)
{
	return m_byPaperMisInsertionCancel;
}

void COptionParam::SetNoiseDetect(BYTE byNoiseDetect)
{
	m_byNoiseDetect = byNoiseDetect;
}

BYTE COptionParam::GetNoiseDetect(void)
{
	return m_byNoiseDetect;
}

void COptionParam::SetNoiseEject(BYTE byNoiseEject)
{
	m_byNoiseEject = byNoiseEject;
}

BYTE COptionParam::GetNoiseEject(void)
{
	return m_byNoiseEject;
}

void COptionParam::SetNoiseCancel(BYTE byNoiseCancel)
{
	m_byNoiseCancel = byNoiseCancel;
}

BYTE COptionParam::GetNoiseCancel(void)
{
	return m_byNoiseCancel;
}

void COptionParam::SetDoubleFeedDetect(BYTE byDoubleFeedDetect)
{
	m_byDoubleFeedDetect = byDoubleFeedDetect;
}

BYTE COptionParam::GetDoubleFeedDetect(void)
{
	return m_byDoubleFeedDetect;
}

void COptionParam::SetDoubleFeedEject(BYTE byDoubleFeedEject)
{
	m_byDoubleFeedEject = byDoubleFeedEject;
}

BYTE COptionParam::GetDoubleFeedEject(void)
{
	return m_byDoubleFeedEject;
}

void COptionParam::SetDoubleFeedCancel(BYTE byDoubleFeedCancel)
{
	m_byDoubleFeedCancel = byDoubleFeedCancel;
}

BYTE COptionParam::GetDoubleFeedCancel(void)
{
	return m_byDoubleFeedCancel;
}

void COptionParam::SetBaddataDetect(BYTE byBaddataDetect)
{
	m_byBaddataDetect = byBaddataDetect;
}

BYTE COptionParam::GetBaddataDetect(void)
{
	return m_byBaddataDetect;
}

void COptionParam::SetBaddataEject(BYTE byBaddataEject)
{
	m_byBaddataEject = byBaddataEject;
}

BYTE COptionParam::GetBaddataEject(void)
{
	return m_byBaddataEject;
}

void COptionParam::SetBaddataCancel(BYTE byBaddataCancel)
{
	m_byBaddataCancel = byBaddataCancel;
}

BYTE COptionParam::GetBaddataCancel(void)
{
	return m_byBaddataCancel;
}

void COptionParam::SetNodataDetect(BYTE byNodataDetect)
{
	m_byNodataDetect = byNodataDetect;
}

BYTE COptionParam::GetNodataDetect(void)
{
	return m_byNodataDetect;
}

void COptionParam::SetNodataEject(BYTE byNodataEject)
{
	m_byNodataEject = byNodataEject;
}

BYTE COptionParam::GetNodataEject(void)
{
	return m_byNodataEject;
}

void COptionParam::SetNodataCancel(BYTE byNodataCancel)
{
	m_byNodataCancel = byNodataCancel;
}

BYTE COptionParam::GetNodataCancel(void)
{
	return m_byNodataCancel;
}

void COptionParam::SetEndorsePrintMode(BYTE byEndorsePrintMode)
{
	m_byEndorsePrintMode = byEndorsePrintMode;
}

BYTE COptionParam::GetEndorsePrintMode(void)
{
	return m_byEndorsePrintMode;
}

void COptionParam::SetPrnDataUnreceiveCancel(BYTE byPrnDataUnreceiveCancel)
{
	m_byPrnDataUnreceiveCancel = byPrnDataUnreceiveCancel;
}

BYTE COptionParam::GetPrnDataUnreceiveCancel(void)
{
	return m_byPrnDataUnreceiveCancel;
}

