#include "stdafx.h"
#include "ImageResult.h"

CImageResult::CImageResult(void)
{
	m_dwTransactionNumber = 0;
	m_pbyImage = NULL;
	m_dwImageSize = 0;
	m_byGradation = 0;
	m_byFace = 0;
	m_byFormat = 0;
}

CImageResult::~CImageResult(void)
{
	FreeImage();
}

void CImageResult::SetTransactionNumber(DWORD dwTransactionNumber)
{
	m_dwTransactionNumber = dwTransactionNumber;
}

DWORD CImageResult::GetTransactionNumber(void)
{
	return m_dwTransactionNumber;
}

void CImageResult::SetImage(LPBYTE lpbyScanData)
{
	m_pbyImage = lpbyScanData;
}

LPBYTE CImageResult::GetImage(void)
{
	return m_pbyImage;
}

void CImageResult::SetImageSize(DWORD dwImageSize)
{
	m_dwImageSize = dwImageSize;
}

DWORD CImageResult::GetImageSize(void)
{
	return m_dwImageSize;
}

void CImageResult::SetGradation(BYTE byGradetion)
{
	m_byGradation = byGradetion;
}

BYTE CImageResult::GetGradation(void)
{
	return m_byGradation;
}

void CImageResult::SetFace(BYTE byFace)
{
	m_byFace = byFace;
}

BYTE CImageResult::GetFace(void)
{
	return m_byFace;
}

void CImageResult::SetFormat(BYTE byFormat)
{
	m_byFormat = byFormat;
}

BYTE CImageResult::GetFormat(void)
{
	return m_byFormat;
}

void CImageResult::FreeImage(void)
{
	if(m_pbyImage != NULL)
	{
		::GlobalFree(m_pbyImage);
		m_pbyImage = NULL;
		m_dwImageSize = 0;
		m_dwTransactionNumber = 0;
	}
}
