#include "stdafx.h"
#include "OcrABResult.h"

COcrABResult::COcrABResult(void)
{
	m_dwTransactionNumber	= 0;
	m_nRet					= 0;
	m_szOcrStr				= NULL;
	::ZeroMemory(&m_stOcrReliableInfo, sizeof(MF_OCR_RELIABLE_INFO) * MF_OCR_AB_CHAR_MAX);
}

COcrABResult::~COcrABResult(void)
{
}

void COcrABResult::SetTransactionNumber(DWORD dwTransactionNumber)
{
	m_dwTransactionNumber = dwTransactionNumber;
}

DWORD COcrABResult::GetTransactionNumber(void)
{
	return m_dwTransactionNumber;
}

void COcrABResult::SetResult(int nRet)
{
	m_nRet = nRet;
}

int COcrABResult::GetResult(void)
{
	return m_nRet;
}

void COcrABResult::SetOcrStr(LPSTR szOcrStr)
{
	m_szOcrStr = szOcrStr;
}

LPSTR COcrABResult::GetOcrStr(void)
{
	return m_szOcrStr;
}

void COcrABResult::SetOcrReliableInfo(MF_OCR_RELIABLE_INFO *stOcrReliableInfo)
{
	int nCount = 0;

	if(stOcrReliableInfo == NULL)
	{
		return;
	}

	for(nCount = 0; nCount < MF_OCR_AB_CHAR_MAX; nCount++)
	{
		m_stOcrReliableInfo[nCount] = stOcrReliableInfo[nCount];
	}
}

MF_OCR_RELIABLE_INFO* COcrABResult::GetOcrReliableInfo(void)
{
	return m_stOcrReliableInfo;
}
