#pragma once
#include "afxwin.h"


// CConfirmationDlg dialog

class CConfirmationDlg : public CDialog
{
	DECLARE_DYNAMIC(CConfirmationDlg)

public:
	CConfirmationDlg(CWnd* pParent = NULL);   // Standard constructor
	virtual ~CConfirmationDlg(void);

	// Dialog resouce ID
	enum { IDD = IDD_DIALOG_CONFIRMATION };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

public:
	DECLARE_MESSAGE_MAP()
	virtual BOOL OnInitDialog(void);
	afx_msg void OnBnClickedOK(void);

// Control
protected:
	CButton	m_btnOk;
	CStatic	m_stGroupCMEjectPocket;
	CButton	m_btnRadioEPMainPocket;
	CButton m_btnRadioEPSubPocket;
	CButton m_btnCheckCMCancel;

public:
	void GetControlData(void);
	void SetControlData(void);
	void GetConfirmationData( LPCONFIRMATIONDATA psConfirmationData );

protected:
	void LoadResourceString(void);
	void InitControlData(void);

// Value
private:
	CONFIRMATIONDATA m_sConfirmationData;
};
