#if !defined(SAMPLE_fb52262c_0d93_4f0c_a5c4_041cf811e734)
#define SAMPLE_fb52262c_0d93_4f0c_a5c4_041cf811e734

#pragma once

class CDeviceStatus
{
private:
	bool	m_bNoResponse;
	bool	m_bOffLine;
	bool	m_bCoverOpen;
	bool	m_bWaitPaperEject;
	bool	m_bMechanicalError;
	bool	m_bUnrecoverError;
	bool	m_bPaperInsermadiate;
	bool	m_bReceiptNearEnd;    // S9000 only
	bool	m_bEjectSensorPaper;
	bool	m_bReceiptEnd;        // S9000 only
	bool	m_bSlipPaperSize;
	bool	m_bAsfPaper;
	bool	m_bWaitInsert;
	bool	m_bMainPocketNearFull;
	bool	m_bSubPocketNearFull;

public:
	CDeviceStatus(void);
	virtual ~CDeviceStatus(void);

	void	SetNoResponse(bool bNoResponse);
	bool	GetNoResponse(void);
	void	SetOffLine(bool bOffLine);
	bool	GetOffLine(void);
	void	SetCoverOpen(bool bCoverOpen);
	bool	GetCoverOpen(void);
	void	SetWaitPaperEject(bool bWaitPaperEject);
	bool	GetWaitPaperEject(void);
	void	SetMechanicalError(bool bMechanicalError);
	bool	GetMechanicalError(void);
	void	SetUnrecoverError(bool bUnrecoverError);
	bool	GetUnrecoverError(void);
	void	SetPaperInsermadiate(bool bPaperInsermadiate);
	bool	GetPaperInsermadiate(void);
	void	SetReceiptNearEnd(bool bReceiptNearEnd);       // S9000 only
	bool	GetReceiptNearEnd(void);                       // S9000 only
	void	SetEjectSensorPaper(bool bEjectSensorPaper);
	bool	GetEjectSensorPaper(void);
	void	SetReceiptEnd(bool bReceiptEnd);               // S9000 only
	bool	GetReceiptEnd(void);                           // S9000 only
	void	SetSlipPaperSize(bool bSlipPaperSize);
	bool	GetSlipPaperSize(void);
	void	SetAsfPaper(bool bAsfPaper);
	bool	GetAsfPaper(void);
	void	SetWaitInsert(bool bWaitInsert);
	bool	GetWaitInsert(void);
	void	SetMainPocketNearFull(bool bMainPocketNearFull);
	bool	GetMainPocketNearFull(void);
	void	SetSubPocketNearFull(bool bSubPocketNearFull);
	bool	GetSubPocketNearFull(void);
};

#endif  /* !defined(SAMPLE_fb52262c_0d93_4f0c_a5c4_041cf811e734) */
