Attribute VB_Name = "Const_ByStep"

Public Type CONFIGDATA

    '// Step 2
    nRadio_ScanningMedia    As Integer
    nRadio_ImageChannel     As Integer
    nRadio_RGBColorDepth    As Integer
    nRadio_IRColorDepth     As Integer
    nCheck_Scan_SaveFile    As Integer
    nCombo_Resolution       As Integer

    '// Step 3
    nRadio_MICRFont         As Integer
    nCheck_MICR_ClearSpace  As Integer
    nCheck_MICR_SaveFile    As Integer

    '// Step 5
    nCombo_PrintStation     As Integer
    nCheck_Print_Scanning   As Integer
    strEdit_Ptinting_Number As String
    bIsRollPaperSupported   As Boolean

End Type

Public Type CALLBACKBUTTON

    lScanStatusWnd      As Long
    lEndorseStartWnd    As Long
    lEndorseEndWnd      As Long

End Type

Public Sub ConfigdataInitialize(ByRef m_sConfigData As CONFIGDATA)

    '// Step 2
    m_sConfigData.nRadio_ScanningMedia = VAL_CONFIGDLG_RADIO_SM_CHECKPAPER
    m_sConfigData.nRadio_ImageChannel = VAL_CONFIGDLG_RADIO_IC_RGB
    m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_COLOR
    m_sConfigData.nRadio_IRColorDepth = VAL_CONFIGDLG_RADIO_IRCD_GRAY
    m_sConfigData.nCheck_Scan_SaveFile = VAL_CONFIGDLG_CHECK_SC_SAVEFILE_ON
    m_sConfigData.nCombo_Resolution = VAL_CONFIGDLG_COMBO_RE_CH_200200

    '// Step 3
    m_sConfigData.nRadio_MICRFont = VAL_CONFIGDLG_RADIO_MF_E13B
    m_sConfigData.nCheck_MICR_ClearSpace = VAL_CONFIGDLG_CHECK_MI_CLEARSPACE_OFF
    m_sConfigData.nCheck_MICR_SaveFile = VAL_CONFIGDLG_CHECK_MI_SAVEFILE_OFF

    '// Step 5
    m_sConfigData.nCombo_PrintStation = VAL_CONFIGDLG_COMBO_PS_PRINTRECEIPT
    m_sConfigData.nCheck_Print_Scanning = VAL_CONFIGDLG_COMBO_PR_SCANNING_OFF
    m_sConfigData.strEdit_Ptinting_Number = "1"
    m_sConfigData.bIsRollPaperSupported = True

End Sub

' Byte is converted to ASCII
Public Property Get StrToAsc(ByRef byData() As Byte, ByVal lSize As Long) As String
    Dim lCount As Long
    Dim strAsc As String
    lCount = 0
    Do While (lCount < lSize)
        strAsc = strAsc + Chr(byData(lCount + 1))
        lCount = lCount + 1
    Loop
    StrToAsc = strAsc
End Property


