#if !defined(SAMPLE_2ba090b0_cca8_11e0_9572_0800200c9a66)
#define SAMPLE_2ba090b0_cca8_11e0_9572_0800200c9a66

#pragma once

#include "Property_1.h"

class CPrint
{
private:
	CProperty_1*	m_pCProperty;

	DLL_BiSetPrintStation				BiSetPrintStation;
	DLL_BiBufferedPrint					BiBufferedPrint;
	DLL_BiSetPrintAlignment				BiSetPrintAlignment;
	DLL_BiPrintText						BiPrintText;
	DLL_BiSetPrintSize					BiSetPrintSize;
	DLL_BiPrintImage					BiPrintImage;
	DLL_BiPrintBarCode					BiPrintBarCode;
	DLL_BiLoadTemplatePrintArea			BiLoadTemplatePrintArea;
	DLL_BiTemplatePrint					BiTemplatePrint;
	DLL_BiSetTemplatePrintArea			BiSetTemplatePrintArea;
	DLL_BiSetPrintCutSheetSettings		BiSetPrintCutSheetSettings;
	DLL_BiSCNSelectScanUnit				BiSCNSelectScanUnit;
	DLL_BiSCNSetImageTypeOption			BiSCNSetImageTypeOption;
	DLL_BiPrintCutSheet					BiPrintCutSheet;
	DLL_BiSCNSelectScanFace				BiSCNSelectScanFace;
	DLL_BiAutoCutRollPaper				BiAutoCutRollPaper;

public:
	CPrint(void);
	virtual ~CPrint(void);

	int		Init(CProperty_1* pCCProperty);
	int		PrintRollpaper(void); // S9000 only
	int		PrintReceipt(void);
	int		PrintReceiptFunction(unsigned long ulTransactionNumber);
	int		PrintCashierscheck(void);
	int		SetCashierscheckPrintSetting(void);
	int		SetCashierscheckScanSetting(void);
	int		SetCashierscheckBaseSetting(void);
	int		PrintCashierscheckFunction(void);
	bool    IsRollPaperSupported(void);

private:
	void	GetAPIProcAddress(void);
};

#endif  /* !defined(SAMPLE_2ba090b0_cca8_11e0_9572_0800200c9a66) */
