// ConfigureDlg.cpp : Implementation
//

#include "stdafx.h"
#include "Resource.h"
#include "ConfigureDlg.h"


// CConfigureDlg Dialog

IMPLEMENT_DYNAMIC(CConfigureDlg, CDialog)

CConfigureDlg::CConfigureDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigureDlg::IDD, pParent)
{
}

CConfigureDlg::~CConfigureDlg(void)
{
}

void CConfigureDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	// Step 2
	DDX_Control(pDX, IDOK, m_btnOK);
	DDX_Control(pDX, IDCANCEL, m_btnCancel);
	DDX_Control(pDX, IDC_GROUP_SCANNING, m_stGroupScanning);
	DDX_Control(pDX, IDC_GROUP_SCANNINGMEDIA, m_stGroupScanningMedia);
	DDX_Control(pDX, IDC_GROUP_IMAGECHANNEL, m_stGroupImageChannel);
	DDX_Control(pDX, IDC_GROUP_RGBCOLORDEPTH, m_stGroupRGBColorDepth);
	DDX_Control(pDX, IDC_GROUP_IRCOLORDEPTH, m_stGroupIRColorDepth);
	DDX_Control(pDX, IDC_STATIC_RESOLUTION, m_stResolution);
	DDX_Control(pDX, IDC_COMBO_RESOLUTION, m_cmbResolution);
	DDX_Control(pDX, IDC_RADIO_SM_CHECKPAPER, m_btnRadioSMCheckPaper);
	DDX_Control(pDX, IDC_RADIO_SM_CARD, m_btnRadioSMCard);
	DDX_Control(pDX, IDC_RADIO_IC_RGB, m_btnRadioICRGB);
	DDX_Control(pDX, IDC_RADIO_IC_IR, m_btnRadioICIR);
	DDX_Control(pDX, IDC_RADIO_IC_RGBIR, m_btnRadioICRGBIR);
	DDX_Control(pDX, IDC_RADIO_RGBCD_COLOR, m_btnRadioCDRColor);
	DDX_Control(pDX, IDC_RADIO_RGBCD_GRAY, m_btnRadioCDRGray);
	DDX_Control(pDX, IDC_RADIO_RGBCD_BW, m_btnRadioCDRBW);
	DDX_Control(pDX, IDC_RADIO_IRCD_GRAY, m_btnRadioCDIGray);
	DDX_Control(pDX, IDC_RADIO_IRCD_BW, m_btnRadioCDIBW);
	DDX_Control(pDX, IDC_CHECK_SC_SAVEFILE, m_btnCheckSCSave);
	// Step 3
	DDX_Control(pDX, IDC_GROUP_MICR, m_stGroupMICR);
	DDX_Control(pDX, IDC_GROUP_MICRFONT, m_stGroupMICRFont);
	DDX_Control(pDX, IDC_RADIO_MF_E13B, m_btnRadioMFE13B);
	DDX_Control(pDX, IDC_RADIO_MF_CMC7, m_btnRadioMFCMC7);
	DDX_Control(pDX, IDC_CHECK_MI_CLEARSPACE, m_btnCheckMIClearSpace);
	DDX_Control(pDX, IDC_CHECK_MI_SAVEFILE, m_btnCheckMISaveFile);
	// Step 7
	DDX_Control(pDX, IDC_GROUP_WATERFALLMODE, m_stGroupWaterfall);
	DDX_Control(pDX, IDC_GROUP_IQA, m_stGroupIQA);
	DDX_Control(pDX, IDC_GROUP_ACTIVATIONMODE, m_stGroupActivation);
	DDX_Control(pDX, IDC_GROUP_AM_ACTIVATIONMODE, m_stGroupACActivation);
	DDX_Control(pDX, IDC_STATIC_WATERFALLMODE, m_stWaterfall);
	DDX_Control(pDX, IDC_STATIC_COLORDEPTH, m_stColorDepth);
	DDX_Control(pDX, IDC_STATIC_EJECTPOCKET, m_stEjectPocket);
	DDX_Control(pDX, IDC_COMBO_WATERFALL_MODE, m_cmbWaterfall);
	DDX_Control(pDX, IDC_COMBO_COLOR_DEPTH, m_cmbColorDepth);
	DDX_Control(pDX, IDC_COMBO_EJECT_POCKET, m_cmbEjectPocket);
	DDX_Control(pDX, IDC_RADIO_AM_HIGHSPEED, m_btnRadioAMHighSpeed);
	DDX_Control(pDX, IDC_RADIO_AM_CONFIRMATION, m_btnRadioAMConfirmation);
	DDX_Control(pDX, IDC_CHECK_IQ_DETECT, m_btnCheckIQDetect);
	DDX_Control(pDX, IDC_CHECK_IQ_CANCEL, m_btnCheckIQCancel);
	DDX_Control(pDX, IDC_CHECK_IQ_UNDERSIZE, m_btnCheckIQUnderSize);
	DDX_Control(pDX, IDC_CHECK_IQ_OVERSIZE, m_btnCheckIQOverSize);
	DDX_Control(pDX, IDC_CHECK_IQ_MINCOMPRESSED, m_btnCheckIQMinCompressed);
	DDX_Control(pDX, IDC_CHECK_IQ_MAXCOMPRESSED, m_btnCheckIQMaxCompressed);
	DDX_Control(pDX, IDC_CHECK_IQ_FRONTREARMISMATCH, m_btnCheckIQFrontRearMismatch);
	DDX_Control(pDX, IDC_CHECK_IQ_TOOLIGHT, m_btnCheckIQTooLight);
	DDX_Control(pDX, IDC_CHECK_IQ_TOODARK, m_btnCheckIQTooDark);
	DDX_Control(pDX, IDC_CHECK_IQ_HORIZONTALSTREAKS,m_btnCheckIQHorizontalStreaks);
	DDX_Control(pDX, IDC_CHECK_IQ_SPOTNOISE, m_btnCheckIQSpotNoise);
	DDX_Control(pDX, IDC_CHECK_IQ_OUTOFFOCUS, m_btnCheckIQOutOfFocus);
	DDX_Control(pDX, IDC_CHECK_IQ_DOCCORNERS, m_btnCheckIQDocCorners);
	DDX_Control(pDX, IDC_CHECK_IQ_DOCEDGES, m_btnCheckIQDocEdges);
	DDX_Control(pDX, IDC_CHECK_IQ_FRAMINGERROR, m_btnCheckIQFramingError);
	DDX_Control(pDX, IDC_CHECK_IQ_SKEW, m_btnCheckIQSkew);
	DDX_Control(pDX, IDC_CHECK_IQ_CARBONSTRIP, m_btnCheckIQCarbonStrip);
	DDX_Control(pDX, IDC_CHECK_IQ_PIGGYBACK, m_btnCheckIQPiggyback);
	DDX_Control(pDX, IDC_CHECK_AM_ONE_PIECE, m_btnCheckACOnePiece);
}


BEGIN_MESSAGE_MAP(CConfigureDlg, CDialog)
	// Step 2
	ON_BN_CLICKED(IDOK, &CConfigureDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CConfigureDlg::OnBnClickedCancel)
	ON_BN_CLICKED(IDC_RADIO_SM_CHECKPAPER, &CConfigureDlg::OnChangeRadioScanningMedia)
	ON_BN_CLICKED(IDC_RADIO_SM_CARD, &CConfigureDlg::OnChangeRadioScanningMedia)
	ON_BN_CLICKED(IDC_RADIO_IC_RGB, &CConfigureDlg::OnChangeRadioImageChannel)
	ON_BN_CLICKED(IDC_RADIO_IC_IR, &CConfigureDlg::OnChangeRadioImageChannel)
	ON_BN_CLICKED(IDC_RADIO_IC_RGBIR, &CConfigureDlg::OnChangeRadioImageChannel)
	// Step 7
	ON_BN_CLICKED(IDC_CHECK_IQ_DETECT, &CConfigureDlg::OnChangeCheckIqaDetect)
	ON_BN_CLICKED(IDC_RADIO_AM_HIGHSPEED, &CConfigureDlg::OnChangeRadioActivationMode)
	ON_BN_CLICKED(IDC_RADIO_AM_CONFIRMATION, &CConfigureDlg::OnChangeRadioActivationMode)
	ON_BN_CLICKED(IDC_RADIO_RGBCD_COLOR, &CConfigureDlg::OnChangeRadioRgbColorDepth)
	ON_BN_CLICKED(IDC_RADIO_RGBCD_GRAY, &CConfigureDlg::OnChangeRadioRgbColorDepth)
	ON_BN_CLICKED(IDC_RADIO_RGBCD_BW, &CConfigureDlg::OnChangeRadioRgbColorDepth)
	ON_CBN_SELCHANGE(IDC_COMBO_WATERFALL_MODE, &CConfigureDlg::OnCbnSelchangeComboWaterfallMode)
END_MESSAGE_MAP()


// CConfigureDlg Message Handler
BOOL CConfigureDlg::OnInitDialog(void)
{
	CDialog::OnInitDialog();

	LoadResourceString();

	SetControlData();

	UpdateControls();

	return TRUE;  // return TRUE unless you set the focus to a control
}

void CConfigureDlg::SetConfigData( CONFIGDATA sConfigData )
{
	m_sConfigData.Copy( sConfigData );
}

void CConfigureDlg::GetConfigData( LPCONFIGDATA psConfigData )
{
	if( psConfigData != NULL ){
		psConfigData->Copy( m_sConfigData );
	}
}

void CConfigureDlg::LoadResourceString(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	m_btnOK.SetWindowText( STR_CONFIGDLG_BUTTON_OK );
	m_btnCancel.SetWindowText( STR_CONFIGDLG_BUTTON_CANCEL );

	m_stGroupScanning.SetWindowText( STR_CONFIGDLG_GROUP_SCANNING );
	m_stGroupScanningMedia.SetWindowText( STR_CONFIGDLG_GROUP_SCANNINGMEDIA );
	m_stGroupImageChannel.SetWindowText( STR_CONFIGDLG_GROUP_IMAGECHANNEL );
	m_stGroupRGBColorDepth.SetWindowText( STR_CONFIGDLG_GROUP_RGBCOLORDEPTH );
	m_stGroupIRColorDepth.SetWindowText( STR_CONFIGDLG_GROUP_IRCOLORDEPTH );

	m_stResolution.SetWindowText( STR_CONFIGDLG_STATIC_RESOLUTION );

	m_btnRadioSMCheckPaper.SetWindowText( STR_CONFIGDLG_RADIO_SM_CHECKPAPER );
	m_btnRadioSMCard.SetWindowText( STR_CONFIGDLG_RADIO_SM_CARD );
	m_btnRadioICRGB.SetWindowText( STR_CONFIGDLG_RADIO_IC_RGB );
	m_btnRadioICIR.SetWindowText( STR_CONFIGDLG_RADIO_IC_IR );
	m_btnRadioICRGBIR.SetWindowText( STR_CONFIGDLG_RADIO_IC_RGBIR );
	m_btnRadioCDRColor.SetWindowText( STR_CONFIGDLG_RADIO_RGBCD_COLOR );
	m_btnRadioCDRGray.SetWindowText( STR_CONFIGDLG_RADIO_RGBCD_GRAY );
	m_btnRadioCDRBW.SetWindowText( STR_CONFIGDLG_RADIO_RGBCD_BW );
	m_btnRadioCDIGray.SetWindowText( STR_CONFIGDLG_RADIO_IRCD_GRAY );
	m_btnRadioCDIBW.SetWindowText( STR_CONFIGDLG_RADIO_IRCD_BW );
	m_btnCheckSCSave.SetWindowText( STR_CONFIGDLG_CHECK_SC_SAVEFILE );

	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_600600 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_300300 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_240240 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_200200 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_120120 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_100100 );

	////////////////
	//// Step 3 ////
	////////////////

	m_stGroupMICR.SetWindowText( STR_CONFIGDLG_GROUP_MICR );
	m_stGroupMICRFont.SetWindowText( STR_CONFIGDLG_GROUP_MICRFONT );

	m_btnRadioMFE13B.SetWindowText( STR_CONFIGDLG_RADIO_MF_E13B );
	m_btnRadioMFCMC7.SetWindowText( STR_CONFIGDLG_RADIO_MF_CMC7 );

	m_btnCheckMIClearSpace.SetWindowText( STR_CONFIGDLG_CHECK_MI_CLEARSPACE );
	m_btnCheckMISaveFile.SetWindowText( STR_CONFIGDLG_CHECK_MI_SAVEFILE );

	////////////////
	//// Step 7 ////
	////////////////

	m_stGroupWaterfall.SetWindowText( STR_CONFIGDLG_GROUP_WATERFALLMODE );
	m_stGroupIQA.SetWindowText( STR_CONFIGDLG_GROUP_IQA );
	m_stGroupActivation.SetWindowText( STR_CONFIGDLG_GROUP_ACTIVATIONMODE );
	m_stGroupACActivation.SetWindowText( STR_CONFIGDLG_GROUP_AM_ACTIVATIONMODE );
	m_stWaterfall.SetWindowText( STR_CONFIGDLG_STATIC_WATERFALLMODE );
	m_stColorDepth.SetWindowText(STR_CONFIGDLG_STATIC_COLORDEPTH  );
	m_stEjectPocket.SetWindowText( STR_CONFIGDLG_STATIC_EJECTPOCKET );

	m_btnRadioAMHighSpeed.SetWindowText( STR_CONFIGDLG_RADIO_AM_HIGHSPEED );
	m_btnRadioAMConfirmation.SetWindowText( STR_CONFIGDLG_RADIO_AM_CONFIRMATION );

	m_btnCheckIQDetect.SetWindowText( STR_CONFIGDLG_CHECK_IQ_DETECT );
	m_btnCheckIQCancel.SetWindowText( STR_CONFIGDLG_CHECK_IQ_CANCEL );
	m_btnCheckIQUnderSize.SetWindowText( STR_CONFIGDLG_CHECK_IQ_UNDERSIZE );
	m_btnCheckIQOverSize.SetWindowText( STR_CONFIGDLG_CHECK_IQ_OVERSIZE );
	m_btnCheckIQMinCompressed.SetWindowText( STR_CONFIGDLG_CHECK_IQ_MINCOMPRESSED );
	m_btnCheckIQMaxCompressed.SetWindowText( STR_CONFIGDLG_CHECK_IQ_MAXCOMPRESSED );
	m_btnCheckIQFrontRearMismatch.SetWindowText( STR_CONFIGDLG_CHECK_IQ_FRONTREARMISMATCH );
	m_btnCheckIQTooLight.SetWindowText( STR_CONFIGDLG_CHECK_IQ_TOOLIGHT );
	m_btnCheckIQTooDark.SetWindowText( STR_CONFIGDLG_CHECK_IQ_TOODARK );
	m_btnCheckIQHorizontalStreaks.SetWindowText( STR_CONFIGDLG_CHECK_IQ_HORIZONTALSTREAKS );
	m_btnCheckIQSpotNoise.SetWindowText( STR_CONFIGDLG_CHECK_IQ_SPOTNOISE );
	m_btnCheckIQOutOfFocus.SetWindowText( STR_CONFIGDLG_CHECK_IQ_OUTOFFOCUS );
	m_btnCheckIQDocCorners.SetWindowText( STR_CONFIGDLG_CHECK_IQ_DOCCORNERS );
	m_btnCheckIQDocEdges.SetWindowText( STR_CONFIGDLG_CHECK_IQ_DOCEDGES );
	m_btnCheckIQFramingError.SetWindowText( STR_CONFIGDLG_CHECK_IQ_FRAMINGERROR );
	m_btnCheckIQSkew.SetWindowText( STR_CONFIGDLG_CHECK_IQ_SKEW );
	m_btnCheckIQCarbonStrip.SetWindowText( STR_CONFIGDLG_CHECK_IQ_CARBONSTRIP );
	m_btnCheckIQPiggyback.SetWindowText( STR_CONFIGDLG_CHECK_IQ_PIGGYBACK );
	m_btnCheckACOnePiece.SetWindowText( STR_CONFIGDLG_CHECK_AM_ONEPIECE );

	m_cmbWaterfall.AddString( STR_CONFIGDLG_COMBO_WM_DISABLE );
	m_cmbWaterfall.AddString( STR_CONFIGDLG_COMBO_WM_STANDARD );
	m_cmbWaterfall.AddString( STR_CONFIGDLG_COMBO_WM_INHERIT );
	m_cmbColorDepth.AddString( STR_CONFIGDLG_COMBO_CD_GRAY );
	m_cmbColorDepth.AddString( STR_CONFIGDLG_COMBO_CD_BW );
	m_cmbEjectPocket.AddString( STR_CONFIGDLG_COMBO_EP_MAINPOCKET );
	m_cmbEjectPocket.AddString( STR_CONFIGDLG_COMBO_EP_SUBPOCKET );
	m_cmbEjectPocket.AddString( STR_CONFIGDLG_COMBO_EP_NOEJECT );
}

void CConfigureDlg::SetControlData(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	switch( m_sConfigData.nRadio_ScanningMedia )
	{
		case VAL_CONFIGDLG_RADIO_SM_CHECKPAPER:
			m_btnRadioSMCheckPaper.SetCheck(1);
			m_btnRadioSMCard.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_SM_CARD:
			m_btnRadioSMCheckPaper.SetCheck(0);
			m_btnRadioSMCard.SetCheck(1);
			break;
		default:
			break;
	}
	switch( m_sConfigData.nRadio_ImageChannel )
	{
		case VAL_CONFIGDLG_RADIO_IC_RGB:
			m_btnRadioICRGB.SetCheck(1);
			m_btnRadioICIR.SetCheck(0);
			m_btnRadioICRGBIR.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_IC_IR:
			m_btnRadioICRGB.SetCheck(0);
			m_btnRadioICIR.SetCheck(1);
			m_btnRadioICRGBIR.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_IC_RGBIR:
			m_btnRadioICRGB.SetCheck(0);
			m_btnRadioICIR.SetCheck(0);
			m_btnRadioICRGBIR.SetCheck(1);
			break;
		default:
			break;
	}
	switch( m_sConfigData.nRadio_RGBColorDepth )
	{
		case VAL_CONFIGDLG_RADIO_RGBCD_COLOR:
			m_btnRadioCDRColor.SetCheck(1);
			m_btnRadioCDRGray.SetCheck(0);
			m_btnRadioCDRBW.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_RGBCD_GRAY:
			m_btnRadioCDRColor.SetCheck(0);
			m_btnRadioCDRGray.SetCheck(1);
			m_btnRadioCDRBW.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_RGBCD_BW:
			m_btnRadioCDRColor.SetCheck(0);
			m_btnRadioCDRGray.SetCheck(0);
			m_btnRadioCDRBW.SetCheck(1);
			break;
		default:
			break;
	}
	switch( m_sConfigData.nRadio_IRColorDepth )
	{
		case VAL_CONFIGDLG_RADIO_IRCD_GRAY:
			m_btnRadioCDIGray.SetCheck(1);
			m_btnRadioCDIBW.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_IRCD_BW:
			m_btnRadioCDIGray.SetCheck(0);
			m_btnRadioCDIBW.SetCheck(1);
			break;
		default:
			break;
	}

	m_btnCheckSCSave.SetCheck( m_sConfigData.nCheck_Scan_SaveFile );
	m_cmbResolution.SetCurSel( m_sConfigData.nCombo_Resolution );

	////////////////
	//// Step 3 ////
	////////////////

	switch( m_sConfigData.nRadio_MICRFont )
	{
		case VAL_CONFIGDLG_RADIO_MF_E13B:
			m_btnRadioMFE13B.SetCheck(1);
			m_btnRadioMFCMC7.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_MF_CMC7:
			m_btnRadioMFE13B.SetCheck(0);
			m_btnRadioMFCMC7.SetCheck(1);
			break;
		default:
			break;
	}

	m_btnCheckMIClearSpace.SetCheck( m_sConfigData.nCheck_MICR_ClearSpace );
	m_btnCheckMISaveFile.SetCheck( m_sConfigData.nCheck_MICR_SaveFile );

	////////////////
	//// Step 7 ////
	////////////////

	switch( m_sConfigData.nRadio_ActivationMode )
	{
		case VAL_CONFIGDLG_RADIO_AM_HIGHSPEED:
			m_btnRadioAMHighSpeed.SetCheck(1);
			m_btnRadioAMConfirmation.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_AM_CONFIRMATION:
			m_btnRadioAMHighSpeed.SetCheck(0);
			m_btnRadioAMConfirmation.SetCheck(1);
			break;
		default:
			break;
	}

	m_btnCheckIQDetect.SetCheck( m_sConfigData.nCheck_IQA_Detect );
	m_btnCheckIQCancel.SetCheck( m_sConfigData.nCheck_IQA_Cancel );
	m_btnCheckIQUnderSize.SetCheck( m_sConfigData.nCheck_IQA_UnderSize );
	m_btnCheckIQOverSize.SetCheck( m_sConfigData.nCheck_IQA_OverSize );
	m_btnCheckIQMinCompressed.SetCheck( m_sConfigData.nCheck_IQA_MinCompressed );
	m_btnCheckIQMaxCompressed.SetCheck( m_sConfigData.nCheck_IQA_MaxCompressed );
	m_btnCheckIQFrontRearMismatch.SetCheck( m_sConfigData.nCheck_IQA_FrontRearMismatch );
	m_btnCheckIQTooLight.SetCheck( m_sConfigData.nCheck_IQA_TooLight );
	m_btnCheckIQTooDark.SetCheck( m_sConfigData.nCheck_IQA_TooDark );
	m_btnCheckIQHorizontalStreaks.SetCheck( m_sConfigData.nCheck_IQA_HorizontalStreaks );
	m_btnCheckIQSpotNoise.SetCheck( m_sConfigData.nCheck_IQA_SpotNoise );
	m_btnCheckIQOutOfFocus.SetCheck( m_sConfigData.nCheck_IQA_OutOfFocus );
	m_btnCheckIQDocCorners.SetCheck( m_sConfigData.nCheck_IQA_DocCorners );
	m_btnCheckIQDocEdges.SetCheck( m_sConfigData.nCheck_IQA_DocEdges );
	m_btnCheckIQFramingError.SetCheck( m_sConfigData.nCheck_IQA_FramingError );
	m_btnCheckIQSkew.SetCheck( m_sConfigData.nCheck_IQA_Skew );
	m_btnCheckIQCarbonStrip.SetCheck( m_sConfigData.nCheck_IQA_CarbonStrip );
	m_btnCheckIQPiggyback.SetCheck( m_sConfigData.nCheck_IQA_Piggyback );
	m_btnCheckACOnePiece.SetCheck( m_sConfigData.nCheck_Activation_OnePiece );
	
	m_cmbWaterfall.SetCurSel( m_sConfigData.nCombo_WaterfallMode );
	m_cmbColorDepth.SetCurSel( m_sConfigData.nCombo_IqaColorDepth );
	m_cmbEjectPocket.SetCurSel( m_sConfigData.nCombo_IqaEjectPocekt );
}

void CConfigureDlg::GetControlData(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ScanningMedia = VAL_CONFIGDLG_RADIO_SM_CHECKPAPER;
	}
	else if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ScanningMedia = VAL_CONFIGDLG_RADIO_SM_CARD;
	}

	if( m_btnRadioICRGB.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ImageChannel = VAL_CONFIGDLG_RADIO_IC_RGB;
	}
	else if( m_btnRadioICIR.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ImageChannel = VAL_CONFIGDLG_RADIO_IC_IR;
	}
	else if( m_btnRadioICRGBIR.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ImageChannel = VAL_CONFIGDLG_RADIO_IC_RGBIR;
	}

	if( m_btnRadioCDRColor.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_COLOR;
	}
	else if( m_btnRadioCDRGray.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_GRAY;
	}
	else if( m_btnRadioCDRBW.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_BW;
	}

	if( m_btnRadioCDIGray.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_IRColorDepth = VAL_CONFIGDLG_RADIO_IRCD_GRAY;
	}
	else if( m_btnRadioCDIBW.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_IRColorDepth = VAL_CONFIGDLG_RADIO_IRCD_BW;
	}

	m_sConfigData.nCheck_Scan_SaveFile = m_btnCheckSCSave.GetCheck();
	m_sConfigData.nCombo_Resolution = GetValueResolutionCombobox();

	////////////////
	//// Step 3 ////
	////////////////

	if( m_btnRadioMFE13B.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_MICRFont = VAL_CONFIGDLG_RADIO_MF_E13B;
	}
	else if( m_btnRadioMFCMC7.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_MICRFont = VAL_CONFIGDLG_RADIO_MF_CMC7;
	}

	m_sConfigData.nCheck_MICR_ClearSpace = m_btnCheckMIClearSpace.GetCheck();
	m_sConfigData.nCheck_MICR_SaveFile = m_btnCheckMISaveFile.GetCheck();

	////////////////
	//// Step 7 ////
	////////////////

	if( m_btnRadioAMHighSpeed.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ActivationMode = VAL_CONFIGDLG_RADIO_AM_HIGHSPEED;
	}
	else if( m_btnRadioAMConfirmation.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ActivationMode = VAL_CONFIGDLG_RADIO_AM_CONFIRMATION;
	}

	m_sConfigData.nCheck_IQA_Detect				= m_btnCheckIQDetect.GetCheck();
	m_sConfigData.nCheck_IQA_Cancel				= m_btnCheckIQCancel.GetCheck();
	m_sConfigData.nCheck_IQA_UnderSize			= m_btnCheckIQUnderSize.GetCheck();
	m_sConfigData.nCheck_IQA_OverSize			= m_btnCheckIQOverSize.GetCheck();
	m_sConfigData.nCheck_IQA_MinCompressed		= m_btnCheckIQMinCompressed.GetCheck();
	m_sConfigData.nCheck_IQA_MaxCompressed		= m_btnCheckIQMaxCompressed.GetCheck();
	m_sConfigData.nCheck_IQA_FrontRearMismatch	= m_btnCheckIQFrontRearMismatch.GetCheck();
	m_sConfigData.nCheck_IQA_TooLight			= m_btnCheckIQTooLight.GetCheck();
	m_sConfigData.nCheck_IQA_TooDark			= m_btnCheckIQTooDark.GetCheck();
	m_sConfigData.nCheck_IQA_HorizontalStreaks	= m_btnCheckIQHorizontalStreaks.GetCheck();
	m_sConfigData.nCheck_IQA_SpotNoise			= m_btnCheckIQSpotNoise.GetCheck();
	m_sConfigData.nCheck_IQA_OutOfFocus			= m_btnCheckIQOutOfFocus.GetCheck();
	m_sConfigData.nCheck_IQA_DocCorners			= m_btnCheckIQDocCorners.GetCheck();
	m_sConfigData.nCheck_IQA_DocEdges			= m_btnCheckIQDocEdges.GetCheck();
	m_sConfigData.nCheck_IQA_FramingError		= m_btnCheckIQFramingError.GetCheck();
	m_sConfigData.nCheck_IQA_Skew				= m_btnCheckIQSkew.GetCheck();
	m_sConfigData.nCheck_IQA_CarbonStrip		= m_btnCheckIQCarbonStrip.GetCheck();
	m_sConfigData.nCheck_IQA_Piggyback			= m_btnCheckIQPiggyback.GetCheck();
	m_sConfigData.nCheck_Activation_OnePiece	= m_btnCheckACOnePiece.GetCheck();

	
	m_sConfigData.nCombo_WaterfallMode	= GetValueWaterfallModeCombobox();
	m_sConfigData.nCombo_IqaColorDepth	= GetValueIQAColorDepthCombobox();
	m_sConfigData.nCombo_IqaEjectPocekt = GetValueIQAEjectPocketCombobox();
}

void CConfigureDlg::UpdateControls(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	// ImageChannel
	if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioICRGBIR.EnableWindow( false );
		
		if(m_btnRadioICRGBIR.GetCheck() == 1)
		{
			m_btnRadioICIR.SetCheck(1);
			m_btnRadioICRGBIR.SetCheck(0);
		}
	}
	else if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_btnRadioICRGBIR.EnableWindow( true );
	}

	// RGB ColorDepth Color
	if( m_btnRadioICIR.GetCheck() == 1 )
	{
		m_btnRadioCDRColor.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDRColor.EnableWindow( TRUE );
	}

	// RGB ColorDepth Gray
	if( m_btnRadioICIR.GetCheck() == 1 )
	{
		m_btnRadioCDRGray.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDRGray.EnableWindow( TRUE );
	}

	// RGB ColorDepth B/W
	if( m_btnRadioICIR.GetCheck() == 1 || m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioCDRBW.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDRBW.EnableWindow( TRUE );
	}

	// IR ColorDepth Gray
	if( m_btnRadioICRGB.GetCheck() == 1 )
	{
		m_btnRadioCDIGray.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDIGray.EnableWindow( TRUE );
	}

	// IR ColorDepth B/W
	if( m_btnRadioICRGB.GetCheck() == 1 || m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioCDIBW.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDIBW.EnableWindow( TRUE );
	}

	if( m_btnRadioCDRBW.GetCheck() == 1 && m_btnRadioCDRGray.IsWindowEnabled() && !m_btnRadioCDRBW.IsWindowEnabled() )
	{
		m_btnRadioCDRColor.SetCheck(0);
		m_btnRadioCDRGray.SetCheck(1);
		m_btnRadioCDRBW.SetCheck(0);
	}
	if( m_btnRadioCDIBW.GetCheck() == 1 && m_btnRadioCDIGray.IsWindowEnabled() && !m_btnRadioCDIBW.IsWindowEnabled() )
	{
		m_btnRadioCDIGray.SetCheck(1);
		m_btnRadioCDIBW.SetCheck(0);
	}

	// Updating resolution options for scanning unit
	CString strResolution;
	m_cmbResolution.GetLBText( m_cmbResolution.GetCurSel(), strResolution );
	if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_cmbResolution.ResetContent();
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_300300 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_240240 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_200200 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_120120 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_100100 );
		if( SetIndexResolutionCombobox( strResolution ) != true )
		{
			// If selected option is disabled, 300*300 is set
			m_cmbResolution.SetCurSel(0);
		}
	}
	else if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_cmbResolution.ResetContent();
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_600600 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_300300 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_200200 );
		if( SetIndexResolutionCombobox( strResolution ) != true )
		{
			// If selected option is disabled, 200*200 is set
			m_cmbResolution.SetCurSel(2);
		}
	}

	////////////////
	//// Step 3 ////
	////////////////

	if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioMFE13B.EnableWindow( false );
		m_btnRadioMFCMC7.EnableWindow( false );
		m_btnCheckMIClearSpace.EnableWindow( false );
		m_btnCheckMISaveFile.EnableWindow( false );
	}
	else if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_btnRadioMFE13B.EnableWindow( true );
		m_btnRadioMFCMC7.EnableWindow( true );
		m_btnCheckMIClearSpace.EnableWindow( true );
		m_btnCheckMISaveFile.EnableWindow( true );
	}

	////////////////
	//// Step 7 ////
	////////////////

	if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_cmbWaterfall.EnableWindow( false );
		m_btnCheckIQDetect.EnableWindow( false );
		m_btnRadioAMHighSpeed.EnableWindow( false );
		m_btnRadioAMConfirmation.EnableWindow( false );
	}
	else
	{
		if( m_btnRadioICIR.GetCheck() != 1 && m_btnRadioCDRColor.GetCheck() != 1)
		{
			m_btnCheckIQDetect.EnableWindow( true );
		}
		else
		{
			m_btnCheckIQDetect.EnableWindow( false );
		}
		m_cmbWaterfall.EnableWindow( true );
		m_btnRadioAMHighSpeed.EnableWindow( true );
		m_btnRadioAMConfirmation.EnableWindow( true );
	}

	if ( m_btnCheckIQDetect.GetCheck() == 1 && m_btnCheckIQDetect.IsWindowEnabled() == TRUE)
	{
		m_btnCheckIQUnderSize.EnableWindow( true );
		m_btnCheckIQOverSize.EnableWindow( true );
		m_btnCheckIQMinCompressed.EnableWindow( true );
		m_btnCheckIQMaxCompressed.EnableWindow( true );
		m_btnCheckIQFrontRearMismatch.EnableWindow( true );
		m_btnCheckIQTooLight.EnableWindow( true );
		m_btnCheckIQTooDark.EnableWindow( true );
		m_btnCheckIQHorizontalStreaks.EnableWindow( true );
		m_btnCheckIQSpotNoise.EnableWindow( true );
		m_btnCheckIQOutOfFocus.EnableWindow( true );
		m_btnCheckIQDocCorners.EnableWindow( true );
		m_btnCheckIQDocEdges.EnableWindow( true );
		m_btnCheckIQFramingError.EnableWindow( true );
		m_btnCheckIQSkew.EnableWindow( true );
		m_btnCheckIQCarbonStrip.EnableWindow( true );
		m_btnCheckIQPiggyback.EnableWindow( true );
		m_cmbColorDepth.EnableWindow( true );

		if(GetValueWaterfallModeCombobox() == VAL_CONFIGDLG_COMBO_WM_DISABLE)
		{
			m_btnCheckIQCancel.EnableWindow( true );
			m_cmbEjectPocket.EnableWindow( true );
		}
		else
		{
			m_btnCheckIQCancel.EnableWindow( false );
			m_cmbEjectPocket.EnableWindow( false );
		}
	}
	else
	{
		m_btnCheckIQCancel.EnableWindow( false );
		m_btnCheckIQUnderSize.EnableWindow( false );
		m_btnCheckIQOverSize.EnableWindow( false );
		m_btnCheckIQMinCompressed.EnableWindow( false );
		m_btnCheckIQMaxCompressed.EnableWindow( false );
		m_btnCheckIQFrontRearMismatch.EnableWindow( false );
		m_btnCheckIQTooLight.EnableWindow( false );
		m_btnCheckIQTooDark.EnableWindow( false );
		m_btnCheckIQHorizontalStreaks.EnableWindow( false );
		m_btnCheckIQSpotNoise.EnableWindow( false );
		m_btnCheckIQOutOfFocus.EnableWindow( false );
		m_btnCheckIQDocCorners.EnableWindow( false );
		m_btnCheckIQDocEdges.EnableWindow( false );
		m_btnCheckIQFramingError.EnableWindow( false );
		m_btnCheckIQSkew.EnableWindow( false );
		m_btnCheckIQCarbonStrip.EnableWindow( false );
		m_btnCheckIQPiggyback.EnableWindow( false );
		m_cmbColorDepth.EnableWindow( false );
		m_cmbEjectPocket.EnableWindow( false );
	}

	if ( m_btnRadioAMConfirmation.GetCheck() == 1
		&& m_btnRadioAMConfirmation.IsWindowEnabled() == TRUE
		&& GetValueWaterfallModeCombobox() == VAL_CONFIGDLG_COMBO_WM_DISABLE)
	{
		m_btnCheckACOnePiece.EnableWindow( true );
	}
	else
	{
		m_btnCheckACOnePiece.EnableWindow( false );
	}
}

////////////////
//// Step 2 ////
////////////////

void CConfigureDlg::OnBnClickedOk(void)
{
	GetControlData();
	OnOK();
}

void CConfigureDlg::OnBnClickedCancel(void)
{
	OnCancel();
}

void CConfigureDlg::OnChangeRadioScanningMedia(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeRadioImageChannel(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeRadioRgbColorDepth(void)
{
	UpdateControls();
}

bool CConfigureDlg::SetIndexResolutionCombobox( LPCTSTR lpszResolution )
{
	CString strResolution;
	int nCnt = 0;
	int nSize = m_cmbResolution.GetCount();
	
	if( lpszResolution != NULL )
	{
		for( nCnt = 0 ; nCnt < nSize ; nCnt++ )
		{
			m_cmbResolution.GetLBText( nCnt, strResolution );
			if( strResolution.CompareNoCase( lpszResolution ) == 0 )
			{
				m_cmbResolution.SetCurSel(nCnt);
				return true;
			}
		}
	}

	m_cmbResolution.SetCurSel(0);
	return false;
}

bool CConfigureDlg::SetIndexResolutionCombobox( int nResolution )
{
	CString strResolution;
	int nCnt = 0;
	int nSize = m_cmbResolution.GetCount();
	int nValue = 0;
	
	for( nCnt = 0 ; nCnt < nSize ; nCnt++ )
	{
		m_cmbResolution.GetLBText( nCnt, strResolution );
		if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_600600 ) == 0 )
		{
			nValue = VAL_CONFIGDLG_COMBO_RE_600600;
		}
		if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_300300 ) == 0 )
		{
			nValue = VAL_CONFIGDLG_COMBO_RE_300300;
		}
		if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_240240 ) == 0 )
		{
			nValue = VAL_CONFIGDLG_COMBO_RE_240240;
		}
		if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_200200 ) == 0 )
		{
			nValue = VAL_CONFIGDLG_COMBO_RE_200200;
		}
		if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_120120 ) == 0 )
		{
			nValue = VAL_CONFIGDLG_COMBO_RE_120120;
		}
		if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_100100 ) == 0 )
		{
			nValue = VAL_CONFIGDLG_COMBO_RE_100100;
		}

		if( nValue == nResolution )
		{
			m_cmbResolution.SetCurSel(nCnt);
			return true;
		}
	}

	m_cmbResolution.SetCurSel(0);
	return false;
}

int CConfigureDlg::GetValueResolutionCombobox(void)
{
	CString strResolution;
	m_cmbResolution.GetLBText( m_cmbResolution.GetCurSel(), strResolution );

	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_600600 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_600600;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_300300 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_300300;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_240240 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_240240;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_200200 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_200200;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_120120 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_120120;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_100100 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_100100;
	}

	return -1;
}

////////////////
//// Step 3 ////
////////////////

// None.

////////////////
//// Step 7 ////
////////////////

void CConfigureDlg::OnChangeRadioActivationMode(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeCheckIqaDetect(void)
{
	UpdateControls();
}

void CConfigureDlg::OnCbnSelchangeComboWaterfallMode(void)
{
	UpdateControls();
}

int CConfigureDlg::GetValueWaterfallModeCombobox(void)
{
	CString strWaterfall;
	m_cmbWaterfall.GetLBText( m_cmbWaterfall.GetCurSel(), strWaterfall );

	if( strWaterfall.CompareNoCase( STR_CONFIGDLG_COMBO_WM_DISABLE ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_WM_DISABLE;
	}
	if( strWaterfall.CompareNoCase( STR_CONFIGDLG_COMBO_WM_STANDARD ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_WM_STANDARD;
	}
	if( strWaterfall.CompareNoCase( STR_CONFIGDLG_COMBO_WM_INHERIT ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_WM_INHERIT;
	}

	return -1;
}

int CConfigureDlg::GetValueIQAColorDepthCombobox(void)
{
	CString strColorDepth;
	m_cmbColorDepth.GetLBText( m_cmbColorDepth.GetCurSel(), strColorDepth );

	if( strColorDepth.CompareNoCase( STR_CONFIGDLG_COMBO_CD_GRAY ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_CD_GRAY;
	}
	if( strColorDepth.CompareNoCase( STR_CONFIGDLG_COMBO_CD_BW ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_CD_BW;
	}

	return -1;
}

int CConfigureDlg::GetValueIQAEjectPocketCombobox(void)
{
	CString strEjectPocket;
	m_cmbEjectPocket.GetLBText( m_cmbEjectPocket.GetCurSel(), strEjectPocket );

	if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_EP_MAINPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_EP_MAINPOCKET;
	}
	if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_EP_SUBPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_EP_SUBPOCKET;
	}
	if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_EP_NOEJECT ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_EP_NOEJECT;
	}

	return -1;
}
