Imports System.Collections.Generic
Imports System.Linq
Imports System.Windows.Forms

Namespace TM_S9000Sample
	NotInheritable Class Program
		Private Sub New()
		End Sub
		<STAThread> _
		Friend Shared Sub Main()
			Application.EnableVisualStyles()
			Application.SetCompatibleTextRenderingDefault(False)

			' Create a mutex
			Dim mutex As New System.Threading.Mutex(False, ConstComStr.STR_NAME_MUTEX)
			' Check if already running
			If mutex.WaitOne(0, False) = False Then
				' Find window handles of excecutable programs
				MessageBox.Show(ConstComStr.MSG_04_000, ConstComStr.CAPTION_04_000, MessageBoxButtons.OK, MessageBoxIcon.[Error])
				Return
			End If

			Application.Run(New TMS9000SampleForm())

			' Release the mutex
			mutex.ReleaseMutex()
		End Sub
	End Class
End Namespace
